package com.unis.detectionnum.server.service.impl;

import java.util.List;

import com.unis.detectionnum.server.entity.DKdxxsjyDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.detectionnum.common.vo.DKdxxsjyVO;
import com.unis.detectionnum.server.domain.DKdxxsjyDomain;
import com.unis.detectionnum.server.service.DKdxxsjyService;

@Service
public class DKdxxsjyServiceImpl implements DKdxxsjyService {
	
	@Autowired
	private DKdxxsjyDomain dKdxxsjyDomain;
	
	/*@Autowired
	private CompanyDomain tzSlqyDomain;
*/
	/**
	 * 根据库点获取库点信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	@Override
	public List<DKdxxsjyVO> getDKdxxsjyList(DKdxxsjyVO dKdxxsjyVO) {
		return dKdxxsjyDomain.getDKdxxsjyList(dKdxxsjyVO);
	}

	/**
	 * 根据库点编码获取库点信息
	 * @param kddm
	 * @return
	 */
	@Override
	public DKdxxsjyVO getDKdxxsjyInfoBykddm(String kddm) {
		return dKdxxsjyDomain.getDKdxxsjyInfoBykddm(kddm);
	}

	/**
	 * 分页获取库点分页信息
	 * @param dKdxxsjyVO 库点参数，库点编码，库点名称，企业名称，库点类型
	 * @param pageNum 分页页码
	 * @param pageSize 分页大小
	 * @return
	 */
	@Override
	public List<DKdxxsjyVO> getDKdxxsjyPage(DKdxxsjyVO dKdxxsjyVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return dKdxxsjyDomain.getDKdxxsjyList(dKdxxsjyVO);
	}

	/**
	 * 添加库点信息
	 * @param dKdxxsjyVO
	 * @return
	 */
	@Override
	public int insert(DKdxxsjyVO dKdxxsjyVO) {

		return dKdxxsjyDomain.insert(dKdxxsjyVO);
	}

	/**
	 * 更新库点信息
	 * @param dKdxxsjyVO 库点信息实体类
	 * @return
	 */
	@Override
	public int update(DKdxxsjyVO dKdxxsjyVO) {
		//查询该库点名称是否已经存在
		/*DKdxxsjyDO dKdxxsjyDO = dKdxxsjyDomain.getDKdxxsjyInfoBykddm(dKdxxsjyVO.getKddm());
		if(dKdxxsjyDO == null) {
			return 0;
		}*/
		return dKdxxsjyDomain.update(dKdxxsjyVO);
	}

	/**
	 * 删除库点信息
	 * @param kddm
	 * @return
	 */
	@Override
	public int delete(String kddm) {
		/*DKdxxsjyVO dKdxxsjyVO = dKdxxsjyDomain.getDKdxxsjyInfoBykddm(kddm);
		if(dKdxxsjyVO==null) {
			return -1;
		}*/
		DKdxxsjyVO dKdxxsjyVO = new DKdxxsjyVO();
		dKdxxsjyVO.setKddm(kddm);
		dKdxxsjyVO.setStatus(0);
		return dKdxxsjyDomain.update(dKdxxsjyVO);
	}

	/**
	 * 根据统一社会信用代码获取库点信息列表
	 * @param tyshxydm
	 * @return
	 */
	@Override
	public List<DKdxxsjyVO> getDKdxxsjyInfoBytyshxydm(String tyshxydm) {
		return dKdxxsjyDomain.getDKdxxsjyInfoBytyshxydm(tyshxydm);
	}

	/**
	 * 根据统一社会信用代码删除库点信息
	 * @param tyshxydm
	 * @return
	 */
	@Override
	public int deleteList(String tyshxydm) {
		return dKdxxsjyDomain.deleteList(tyshxydm);
	}

	@Override
	public List<DKdxxsjyDO> getDKdxxsjyAll(String userCode) {
		return dKdxxsjyDomain.getDKdxxsjyAll(userCode);
	}

}
